
QGIS Application - Bug report #8402

Selecting/Activating a layer in the layer list causes canvas to redraw

2013-08-02 09:35 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17174

Description

I'm using QGIS 1.8 from the OSGeo4W installer on Windows 7.

Everytime I highlight or select a layer in the layer list, the map canvas redraws.

This isn't a big deal when zoomed in, but if I zoom out - having the map redraw itself with lots of data or labels every time I highlight a

layer is introducing delays to my workflows.

The option so far is to disable the rendering by unchecking "Render" near the bottom right of the QGIS user interface and then re-enabling

it whenever needed.

History

#1 - 2013-08-02 09:42 AM - Donovan Cameron

- File QGIS_AutoRedraw_when_HighlightingLayers.mp4 added

I've been playing with it more and notice that it doesn't redraw when selecting a point layer.

It only seems to affect layers that contain polygons or lines.

I attached a screen capture to show what it looks like.

#2 - 2013-08-03 03:49 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

Cannot confirm on master on both Linux and Windows. Please try qgis master and report back.

#3 - 2013-08-08 06:40 PM - Donovan Cameron

- Status changed from Feedback to Closed

Looks like it could of been from a plugin on that Windows PC running QGIS 1.8 because the re-render problem is not present in QGIS master.

If I find which plugin, I'll let the maintainer know =)
#4 - 2013-08-09 01:57 AM - Giovanni Manghi

- Resolution set to worksforme

Files

QGIS_AutoRedraw_when_HighlightingLayers.mp4 3.26 MB 2013-08-02 Donovan Cameron
